<?php

/**
* Clase Bean para Pago
*
* @package Prj
* @subpackage PagoBean
* @author Willy
* @version SVN: : PagoBean.class.php,v 1.1 2009/06/14 14:58:59 william.taype Exp $
*/
class PagoBean{

  protected $IdPago;
  protected $IdPrestamo;
  protected $IdColaborador;
  protected $IdColaboradorDestino;
  protected $Colaboradores;
  protected $IdCliente;
  protected $IdMercado;
  protected $MontoPago;
  protected $FechaPago;
  protected $Estado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $ObjectPrestamo;
  protected $ObjectCliente;
  protected $Descripcion;
  protected $ApellidoPaterno;
  protected $ApellidoMaterno;
  protected $Nombres;
  
  protected $Mensaje;
  protected $Error;

  public function getIdPago(){
    return $this->IdPago;
  }
  public function setIdPago($v){
    $this->IdPago = $v;
  }
  public function getTipo(){
    return $this->Tipo;
  }
  public function setTipo($v){
    $this->Tipo = $v;
  }
  public function getIdColaboradorDestino(){
    return $this->IdColaboradorDestino;
  }
  public function setIdColaboradorDestino($v){
    $this->IdColaboradorDestino = $v;
  }
  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v){
    $this->IdColaborador = $v;
  }

  public function getIdColaboradores(){
    return $this->Colaboradores;
  }
  public function setIdColaboradores($v){
    $this->Colaboradores = $v;
  }

  public function getIdPrestamo(){
    return $this->IdPrestamo;
  }
  public function setIdPrestamo($v){
    $this->IdPrestamo = $v;
  }
   public function getTipopago(){
    return $this->Tipopago;
  }
  public function setTipopago($v){
    $this->Tipopago = $v;
  }
  public function getIdColaboradorPrestamo(){
    return $this->IdColaboradorPrestamo;
  }
  public function setIdColaboradorPrestamo($v){
    $this->IdColaboradorPrestamo = $v;
  }
  public function getIdCliente(){
    return $this->IdCliente;
  }
  public function setIdCliente($v){
    $this->IdCliente = $v;
  }
   public function getIdMercado(){
    return $this->IdMercado;
  }
  public function setIdMercado($v){
    $this->IdMercado = $v;
  }
  public function getMontoPago(){
    return $this->MontoPago;
  }
  public function setMontoPago($v){
    $this->MontoPago = $v;
  }

  public function getFechaPago(){
    return $this->FechaPago;
  }
  public function setFechaPago($v){
    $this->FechaPago = $v;
  }
   public function getFechaFinal(){
    return $this->FechaFinal;
  }
  public function setFechaFinal($v){
    $this->FechaFinal = $v;
  }
  
  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }
  public function getObjectPrestamo(){
    return $this->ObjectPrestamo;
  }
  public function setObjectPrestamo($v){
    $this->ObjectPrestamo = $v;
  }  
   
  public function getObjectCliente(){
    return $this->ObjectCliente;
  }
  public function setObjectCliente($v){
    $this->ObjectCliente = $v;
  }
  
   public function getRegistroLatitud(){
    return $this->RegistroLatitud;
  }
  public function setRegistroLatitud($v){
    $this->RegistroLatitud = $v;
  }
  
  public function getRegistroLongitud(){
    return $this->RegistroLongitud;
  }
  public function setRegistroLongitud($v){
    $this->RegistroLongitud = $v;
  }
  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }
  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($vl){
    $this->Descripcion = $vl;
  }  
  public function getApellidoPaterno(){
    return $this->ApellidoPaterno;
  }
  public function setApellidoPaterno($vl){
    $this->ApellidoPaterno = $vl;
  }
   public function getApellidoMaterno(){
    return $this->ApellidoMaterno;
  }
  public function setApellidoMaterno($vl){
    $this->ApellidoMaterno = $vl;
  }
  public function getNombres(){
    return $this->Nombres;
  }
  public function setNombres($vl){
    $this->Nombres = $vl;
  }
  public function getTiporeferencia(){
    return $this->Tiporeferencia;
  }
  public function setTiporeferencia($v){
    $this->Tiporeferencia = $v;
  }
}